=head1 NAME

Gnome2::HRef - wrapper for GnomeHRef

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Button
                                +----Gnome2::HRef



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Activatable



=cut


=head1 METHODS

=head2 widget = Gnome2::HRef-E<gt>B<new> ($url, $text)

=over

=item * $url (string) 

=item * $text (string) 

=back

=head2 string = $href-E<gt>B<get_label> 

=head2 $href-E<gt>B<set_label> ($label)

=over

=item * $label (string) 

=back

=head2 string = $href-E<gt>B<get_text> 

=head2 $href-E<gt>B<set_text> ($text)

=over

=item * $text (string) 

=back

=head2 string = $href-E<gt>B<get_url> 

=head2 $href-E<gt>B<set_url> ($url)

=over

=item * $url (string) 

=back



=cut


=head1 PROPERTIES

=over

=item 'text' (string : default "End World Hunger" : readable / writable)

The text on the button

=item 'url' (string : default "http://www.wfp.org" : readable / writable)

The URL that GnomeHRef activates

=back



=cut


=head1 STYLE PROPERTIES

=over

=item 'link-color' (Gtk2::Gdk::Color : default undef : readable)

Color used to draw the link

=back



=cut


=head1 SEE ALSO

L<Gnome2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Bin>, L<Gtk2::Button>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2004 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gnome2> for a full notice.



=cut

